SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Static Protected Member Functions | List of all members
SLNet::RNS2_Linux Class Reference

`#include <slikenet/socket2.h>`

Inheritance diagram for SLNet::RNS2_Linux:

## Public Member Functions

RNS2BindResult | Bind (RNS2_BerkleyBindParameters *bindParameters, const char *file, unsigned int line)
RNS2SendResult | Send (RNS2_SendParameters *sendParameters, const char *file, unsigned int line)
Public Member Functions inherited from SLNet::RNS2_Berkley
| RNS2_Berkley ()
virtual | ~RNS2_Berkley ()
int | CreateRecvPollingThread (int threadPriority)
void | SignalStopRecvPollingThread (void)
void | BlockOnStopRecvPollingThread (void)
const RNS2_BerkleyBindParameters * | GetBindings (void) const
RNS2Socket | GetSocket (void) const
void | SetDoNotFragment (int opt)

## Static Public Member Functions

static void | GetMyIP (SystemAddress addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS])

## Static Protected Member Functions

static void | GetMyIPIPV4 (SystemAddress addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS])
static void | GetMyIPIPV4And6 (SystemAddress addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS])
Static Protected Member Functions inherited from SLNet::RNS2_Berkley
static void | GetSystemAddressIPV4 (RNS2Socket rns2Socket, SystemAddress *systemAddressOut)
static void | GetSystemAddressIPV4And6 (RNS2Socket rns2Socket, SystemAddress *systemAddressOut)
static | RAK_THREAD_DECLARATION (RecvFromLoop)

## Additional Inherited Members

Protected Member Functions inherited from SLNet::RNS2_Berkley
RNS2BindResult | BindShared (RNS2_BerkleyBindParameters *bindParameters, const char *file, unsigned int line)
RNS2BindResult | BindSharedIPV4 (RNS2_BerkleyBindParameters *bindParameters, const char *file, unsigned int line)
RNS2BindResult | BindSharedIPV4And6 (RNS2_BerkleyBindParameters *bindParameters, const char *file, unsigned int line)
void | SetNonBlockingSocket (unsigned long nonblocking)
void | SetSocketOptions (void)
void | SetBroadcastSocket (int broadcast)
void | SetIPHdrIncl (int ipHdrIncl)
void | RecvFromBlocking (RNS2RecvStruct *recvFromStruct)
void | RecvFromBlockingIPV4 (RNS2RecvStruct *recvFromStruct)
void | RecvFromBlockingIPV4And6 (RNS2RecvStruct *recvFromStruct)
unsigned | RecvFromLoopInt (void)
Protected Attributes inherited from SLNet::RNS2_Berkley
RNS2Socket | rns2Socket
RNS2_BerkleyBindParameters | binding
SLNet::LocklessUint32_t | isRecvFromLoopThreadActive
volatile bool | endThreads

## Detailed Description

Definition at line 444 of file socket2.h.

## Member Function Documentation

RNS2BindResult RNS2_Linux::Bind | ( | RNS2_BerkleyBindParameters * | bindParameters,
|  | const char * | file,
|  | unsigned int | line
| ) |  |

virtual

Implements SLNet::IRNS2_Berkley.

Definition at line 513 of file RakNetSocket2.cpp.

References SLNet::RNS2_Berkley::BindShared().

void RNS2_Linux::GetMyIP | ( | SystemAddress | addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS] | ) |

static

Definition at line 515 of file RakNetSocket2.cpp.

Referenced by SLNet::RakNetSocket2::GetMyIP().

static void SLNet::RNS2_Linux::GetMyIPIPV4 | ( | SystemAddress | addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS] | ) |

staticprotected

static void SLNet::RNS2_Linux::GetMyIPIPV4And6 | ( | SystemAddress | addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS] | ) |

staticprotected

RNS2SendResult RNS2_Linux::Send | ( | RNS2_SendParameters * | sendParameters,
|  | const char * | file,
|  | unsigned int | line
| ) |  |

virtual

Implements SLNet::RakNetSocket2.

Definition at line 514 of file RakNetSocket2.cpp.

References SLNet::RNS2_Berkley::rns2Socket.

The documentation for this class was generated from the following files:

- Source/include/slikenet/socket2.h
- Source/src/RakNetSocket2.cpp